Bug 1287015 - endian issue which causes libminc-2.3.00-1 build failure
Summary: endian issue which causes libminc-2.3.00-1 build failure
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: libminc
Version: 23
Hardware: ppc64
OS: Linux
unspecified
unspecified
Target Milestone: ---
Assignee: Igor Gnatenko
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: PPCTracker
TreeView+ depends on / blocked
 
Reported: 2015-12-01 10:56 UTC by Ngo Than
Modified: 2015-12-13 04:23 UTC (History)
3 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2015-12-13 04:23:43 UTC


Attachments (Terms of Use)

Description Ngo Than 2015-12-01 10:56:47 UTC
the following tescase failed and caused the libminc-2.3.00-1 build failure

Start 45: minc2-label-test
45: Test command: /builddir/build/BUILD/libminc-libminc-2-3-00/build/testdir/minc2-label-test
45: Test timeout computed to be: 1500
45: /builddir/build/BUILD/libminc-libminc-2-3-00/libsrc2/label.c:120 (from MINC2): HDF5 function H5Tenum_nameof failed
45: /builddir/build/BUILD/libminc-libminc-2-3-00/libsrc2/label.c:148 (from MINC2): HDF5 function H5Tenum_valueof failed
45: Error reported on line #172, miget_label_value, White: -256
45: Error reported on line #175, miget_label_value, Blue: -256
45: Error reported on line #261, Voxel is not blue: 65280
45: Error reported on line #256, Voxel is not white: 0
45: Error reported on line #261, Voxel is not blue: 65280
45: Error reported on line #256, Voxel is not white: 0
45: Error reported on line #261, Voxel is not blue: 65280
45: Error reported on line #256, Voxel is not white: 0
45: Error reported on line #261, Voxel is not blue: 65280
45: Error reported on line #256, Voxel is not white: 0
45: Error reported on line #261, Voxel is not blue: 65280
45: Error reported on line #256, Voxel is not white: 0
45: Error reported on line #261, Voxel is not blue: 65280
45: Error reported on line #256, Voxel is not white: 0
45: Error reported on line #261, Voxel is not blue: 65280
45: Error reported on line #256, Voxel is not white: 0
45: Error reported on line #261, Voxel is not blue: 65280
45: Error reported on line #256, Voxel is not white: 0
45: Error reported on line #261, Voxel is not blue: 65280
45: Error reported on line #256, Voxel is not white: 0
45: Error reported on line #261, Voxel is not blue: 65280
45: Error reported on line #256, Voxel is not white: 0
45: Error reported on line #261, Voxel is not blue: 65280
45: Error reported on line #256, Voxel is not white: 0
45: Error reported on line #261, Voxel is not blue: 65280
45: Error reported on line #256, Voxel is not white: 0
45: 26 errors reported
45: Creating label image !! 
45:  0 
45:  6 
45: Number of defined labels 6 
45: Print label file with file order x,y,z 
45:        0 ffffff00 80808000     ff00   ff0000 ff000000  
45:        0 ffffff00 80808000     ff00   ff0000 ff000000  
45:        0 ffffff00 80808000     ff00   ff0000 ff000000  
45:        0 ffffff00 80808000     ff00   ff0000 ff000000  
45: Print label file with apparent order z,y,x 
45:        0 80808000   ff0000 80808000   ff0000        0  
45:   ff0000        0 80808000        0 80808000   ff0000  
45: ffffff00     ff00 ff000000     ff00 ff000000 ffffff00  
45: ff000000 ffffff00     ff00 ffffff00     ff00 ff000000  
45/51 Test #45: minc2-label-test .................***Failed    0.01 sec


for more infos please take a look at
http://ppc.koji.fedoraproject.org/kojifiles/work/tasks/389/2950389/build.log

Comment 1 Igor Gnatenko 2015-12-01 10:59:52 UTC
https://github.com/BIC-MNI/libminc/issues/64#issuecomment-160604004

Can you try that patch mentioned in link?

Comment 2 Ngo Than 2015-12-01 12:26:57 UTC
sure, i will try the patch and report the results today.

Comment 3 Ngo Than 2015-12-01 13:52:01 UTC
Igor, i tested the patch and comfirmed that it fixes the issue.
Could you please add the fix in your next build?

Thanks

Comment 4 Fedora Update System 2015-12-02 21:37:12 UTC
libminc-2.3.00-2.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2015-a6ab47275f

Comment 5 Fedora Update System 2015-12-02 21:37:18 UTC
libminc-2.3.00-2.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2015-a6ab47275f

Comment 6 Fedora Update System 2015-12-04 01:38:33 UTC
libminc-2.3.00-2.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update libminc'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-a6ab47275f

Comment 7 Fedora Update System 2015-12-13 04:23:35 UTC
libminc-2.3.00-2.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.